Skip to main content
GET
/
billing
/
invoices
List invoices
curl --request GET \
  --url https://api.agentic.scope3.com/api/v2/buyer/billing/invoices \
  --header 'Authorization: Bearer <token>'
{
  "invoices": [
    {
      "id": "<string>",
      "number": "<string>",
      "status": "<string>",
      "currency": "<string>",
      "amountDue": 0,
      "amountPaid": 0,
      "amountRemaining": 0,
      "total": 0,
      "created": 0,
      "dueDate": 0,
      "periodStart": 0,
      "periodEnd": 0,
      "hostedInvoiceUrl": "<string>",
      "invoicePdf": "<string>",
      "description": "<string>",
      "customerEmail": "<string>",
      "customerName": "<string>"
    }
  ],
  "hasMore": true,
  "cursor": "<string>"
}

Authorizations

Authorization
string
header
required

API key or access token

Query Parameters

limit
integer

Maximum number of results (1–100, default 25)

Required range: 1 <= x <= 100
starting_after
string

Cursor for pagination (ID of last item from previous page)

Response

List invoices

Paginated invoices for the buyer customer

invoices
object[]
required
hasMore
boolean
required
cursor
string | null
required